# Interface methods for submodule: VelocityFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DisplacementFieldTransformProxy as _DisplacementFieldTransformProxy


# Interface methods for class: VelocityFieldTransform
class VelocityFieldTransformProxy(_DisplacementFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetVelocityField(self, arg0) -> None:
		""""""
		...

	def GetModifiableVelocityField(self):
		""""""
		...

	def GetVelocityField(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def SetVelocityFieldInterpolator(self, arg0) -> None:
		""""""
		...

	def GetModifiableVelocityFieldInterpolator(self):
		""""""
		...

	def GetVelocityFieldInterpolator(self):
		""""""
		...

	def GetVelocityFieldSetTime(self) -> int:
		""""""
		...

	def SetDisplacementField(self, displacementField) -> None:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def IntegrateVelocityField(self) -> None:
		""""""
		...

	def SetLowerTimeBound(self, _arg: float) -> None:
		""""""
		...

	def GetLowerTimeBound(self) -> float:
		""""""
		...

	def SetUpperTimeBound(self, _arg: float) -> None:
		""""""
		...

	def GetUpperTimeBound(self) -> float:
		""""""
		...

	def SetNumberOfIntegrationSteps(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIntegrationSteps(self) -> int:
		""""""
		...

